import logging

from flask import Blueprint, request
from watermark_generate.tools.logger_tool import handler

log_controller = Blueprint('log_controller', __name__)


@log_controller.route('/znwr/jit/ai/v1/log_setting', methods=['POST'])
def log_post():
    level = request.json['level']
    size = request.json['size']
    if level == 'debug':
        handler.setLevel(logging.DEBUG)
    if level == 'info':
        handler.setLevel(logging.INFO)
    if level == 'warning':
        handler.setLevel(logging.WARN)
    if level == 'error':
        handler.setLevel(logging.ERROR)
    handler.maxBytes = size * 1024
    return {'code': 0, 'msg': 'ok'}
